libgdamm: Gnome::Gda::HandlerType Class Reference

libgdamm 4.99.10

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gnome::Gda::HandlerType Class Reference
Data Handlers

Default handler for GType values. More...

Inheritance diagram for Gnome::Gda::HandlerType:
[legend]
Collaboration diagram for Gnome::Gda::HandlerType:
[legend]

## Public Member Functions
| HandlerType (HandlerType&& src) noexcept
HandlerType& | operator= (HandlerType&& src) noexcept
virtual | ~HandlerType () noexcept
GdaHandlerType* | gobj ()
| Provides access to the underlying C GObject. More...
const GdaHandlerType* | gobj () const
| Provides access to the underlying C GObject. More...
GdaHandlerType* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable ()
| trackable (const trackable &src)
| trackable (trackable &&src) noexcept
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src) noexcept
void | remove_destroy_notify_callback (void *data) const
Public Member Functions inherited from Gnome::Gda::DataHandler
| DataHandler (DataHandler&& src) noexcept
DataHandler& | operator= (DataHandler&& src) noexcept
virtual | ~DataHandler () noexcept
GdaDataHandler* | gobj ()
| Provides access to the underlying C GObject. More...
const GdaDataHandler* | gobj () const
| Provides access to the underlying C GObject. More...
Glib::ustring | get_sql_from_value (const Value& value) const
| Creates a new string which is an SQL representation of the given value, the returned string can be used directly in an SQL statement. More...
Glib::ustring | get_str_from_value (const Value& value) const
| Creates a new string which is a "user friendly" representation of the given value (in the user's locale, specially for the dates). More...
Value | get_value_from_sql (const Glib::ustring& sql, GType type) const
| Creates a new GValue which represents the SQL value given as argument. More...
Value | get_value_from_str (const Glib::ustring& sql, GType type) const
| Creates a new GValue which represents the STR value given as argument. More...
Value | get_sane_init_value (GType type) const
| Creates a new GValue which holds a sane initial value to be used if no value is specifically provided. More...
bool | accepts_g_type (GType type) const
| Checks wether the GdaDataHandler is able to handle the gda type given as argument. More...
Glib::ustring | get_descr () const
| Get a short description of the GdaDataHandler. More...
Public Member Functions inherited from Glib::Interface
| Interface ()
| Interface (Interface &&src) noexcept
Interface & | operator= (Interface &&src) noexcept
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
virtual | ~Interface () noexcept
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< HandlerType > | create ()
Static Public Member Functions inherited from Gnome::Gda::DataHandler
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
| HandlerType ()
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
virtual | ~Object () noexcept
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)
Protected Member Functions inherited from Gnome::Gda::DataHandler
| DataHandler ()
| You should derive from this class to use it. More...

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gnome::Gda::HandlerType > | wrap (GdaHandlerType* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gnome::Gda::DataHandler
Glib::RefPtr< Gnome::Gda::DataHandler > | wrap (GdaDataHandler* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(* | DestroyNotify) (gpointer data)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

Default handler for GType values.

## Constructor & Destructor Documentation

Gnome::Gda::HandlerType::HandlerType | ( | HandlerType&& | src | ) |
| noexcept

virtual Gnome::Gda::HandlerType::~HandlerType | ( |  | ) |
| virtualnoexcept

Gnome::Gda::HandlerType::HandlerType | ( |  | ) |
| protected

## Member Function Documentation

static Glib::RefPtr<HandlerType> Gnome::Gda::HandlerType::create | ( |  | ) |
| static

static GType Gnome::Gda::HandlerType::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GdaHandlerType* Gnome::Gda::HandlerType::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GdaHandlerType* Gnome::Gda::HandlerType::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

GdaHandlerType* Gnome::Gda::HandlerType::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

HandlerType& Gnome::Gda::HandlerType::operator= | ( | HandlerType&& | src | ) |
| noexcept

## Friends And Related Function Documentation

Glib::RefPtr< Gnome::Gda::HandlerType > wrap | ( | GdaHandlerType * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- libgdamm/handlertype.h